Bug 10834 - Add Sort 1 and Sort 2 to list of searchable patron fields
Summary: Add Sort 1 and Sort 2 to list of searchable patron fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 16:55 UTC by Kyle M Hall
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10834 - Add Sort 1 and Sort 2 to list of searchable patron fields (1.43 KB, patch)
2013-09-06 16:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10834 - Add Sort 1 and Sort 2 to list of searchable patron fields (1.48 KB, patch)
2013-12-23 20:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10834 - Add Sort 1 and Sort 2 to list of searchable patron fields (1.54 KB, patch)
2013-12-24 09:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-09-06 16:55:52 UTC
Some libraries would like to be able to search on the sort1 and sort2 fields of patron records.
Comment 1 Kyle M Hall 2013-09-06 16:57:42 UTC Comment hidden (obsolete)
Comment 2 I'm just a bot 2013-09-29 05:54:20 UTC
Patch applied cleanly, go forth and signoff
Comment 3 I'm just a bot 2013-10-24 19:39:16 UTC
Patch applied cleanly, go forth and signoff
Comment 4 Chris Cormack 2013-12-23 20:23:53 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-12-24 09:41:54 UTC
QA comment:

If sort1 or sort2 is linked to an authorised value category, the search is done on the code. Maybe it could be confusing.
Moreover sort1 and sort2 values are not displayed in the table results.
I don't know if this patch is relevant but it works as described.

Marked as Passed QA.
Comment 6 Jonathan Druart 2013-12-24 09:42:29 UTC
Created attachment 23803 [details] [review]
Bug 10834 - Add Sort 1 and Sort 2 to list of searchable patron fields

Some libraries would like to be able to search on the sort1 and sort2
fields of patron records.

Test Plan:
1) Apply this patch
2) Add various values for sort1 and sort2 some patrons
3) Browse to members-home.pl
4) Run searches on sort1 and sort2

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Galen Charlton 2013-12-25 15:58:22 UTC
Pushed to master.  Thanks, Kyle!
Comment 8 Fridolin SOMERS 2014-01-03 09:04:17 UTC
Patch pushed to 3.14.x, will be in 3.14.2.